package com.tanpu.community.api.beans.req.theme;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class CreateThemeReq {


    @NotNull(message = "类型不能为空")
    @ApiModelProperty(value = "类型 1：讨论无标题 2：长文有标题")
    public Integer themeType;


    @ApiModelProperty(value = "标题")
    public String title;

    @NotEmpty(message = "内容不能为空")
    @ApiModelProperty(value = "文本内容")
    public List<ThemeContentReq> content;

    @ApiModelProperty(value = "所属的话题id")
    public String topicId = "";


    @ApiModelProperty(value = "修改，则传入正在编辑的ThemeId")
    public String editThemeId = "";

    @ApiModelProperty("是否同步到社区 0为不同步 1为同步 默认不同步")
    public Integer syncToNewComm = 0;

}
