package com.tanpu.community.dao.entity.community;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 话题关联内容表
 * </p>
 *
 * @author xudong
 * @since 2022-02-21
 */
@TableName("topic_subject")
@ApiModel(value="TopicSubjectEntity对象", description="话题关联内容表")
public class TopicSubjectEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "话题主键id")
    private String topicId;

    @ApiModelProperty(value = "关联内容id，如课程id")
    private String subjectId;

    @ApiModelProperty(value = "关联内容类型，88基金产品 90基金管理人 300课程 323线下活动 ")
    private Integer subjectType;

    @ApiModelProperty(value = "关联内容子类型 res_type=88基金产品时有值")
    private Integer subjectSubType;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTopicId() {
        return topicId;
    }

    public void setTopicId(String topicId) {
        this.topicId = topicId;
    }

    public String getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(String subjectId) {
        this.subjectId = subjectId;
    }

    public Integer getSubjectType() {
        return subjectType;
    }

    public void setSubjectType(Integer subjectType) {
        this.subjectType = subjectType;
    }

    public Integer getSubjectSubType() {
        return subjectSubType;
    }

    public void setSubjectSubType(Integer subjectSubType) {
        this.subjectSubType = subjectSubType;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "TopicSubjectEntity{" +
        "id=" + id +
        ", topicId=" + topicId +
        ", subjectId=" + subjectId +
        ", subjectType=" + subjectType +
        ", subjectSubType=" + subjectSubType +
        ", createBy=" + createBy +
        ", createTime=" + createTime +
        "}";
    }
}
